Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class RemotePropertyChangeConsumer

    java.lang.Object
      org.jini.rio.event.RemotePropertyChangeConsumer

All Implemented Interfaces:
  EventListener, RemoteServiceEventListener

Direct Known Subclasses:
  MappedRemotePropertyChangeConsumer

    public class RemotePropertyChangeConsumer

extends Object
implements RemoteServiceEventListener

Provides a remote PropertyChangeConsumer using remote event semantics

Constructor Summary
`RemotePropertyChangeConsumer(DiscoveryManagement dmgr)` Creates new RemotePropertyChangeConsumer using RemotePropertyChangeEvent.ID
`RemotePropertyChangeConsumer(DiscoveryManagement dmgr, long eventID)` Creates new RemotePropertyChangeConsumer RemotePropertyChangeEvent

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a PropertyChangeListener to the listener list.
`DynamicEventConsumer` | `getEventConsumer()` Getter for property eventConsumer.
`EventDescriptor` | `getEventTemplate()` Getter for property ReventTemplate.
`void` | `notify(RemoteServiceEvent rEvent)` The notify method is invoked on a `RemoteServiceEventListener` for `RemoteServiceEvent` s that the listener has registered interest on.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Removes a PropertyChangeListener from the listener list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotePropertyChangeConsumer

    public RemotePropertyChangeConsumer(DiscoveryManagement dmgr)
                                 throws Exception

  Creates new RemotePropertyChangeConsumer using RemotePropertyChangeEvent.ID

  Parameters:
    `dmgr` - the Jini DiscoveryManagement object
  Throws:
    `Exception`

### RemotePropertyChangeConsumer

    public RemotePropertyChangeConsumer(DiscoveryManagement dmgr,
                                        long eventID)
                                 throws Exception

  Creates new RemotePropertyChangeConsumer RemotePropertyChangeEvent

  Parameters:
    `dmgr` - the Jini DiscoveryManagement object
    `eventID` - the identification number for the
  Throws:
    `Exception`

Method Detail

### notify

    public void notify(RemoteServiceEvent rEvent)

  The notify method is invoked on a `RemoteServiceEventListener` for `RemoteServiceEvent` s that the listener has registered interest on.

  The notification of `RemoteServiceEvent` objects is done within a JVM, i.e. remote invocation semantics are not implied by the use of this interface.

  Specified by:
    `notify` in interface `RemoteServiceEventListener`
  Parameters:
    `rEvent` - A `RemoteServiceEvent` object

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Add a PropertyChangeListener to the listener list.

  Parameters:
    `l` - The listener to add.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Removes a PropertyChangeListener from the listener list.

  Parameters:
    `l` - The listener to remove.

### getEventTemplate

    public EventDescriptor getEventTemplate()

  Getter for property ReventTemplate.

  Returns:
    Value of property ReventTemplate.

### getEventConsumer

    public DynamicEventConsumer getEventConsumer()

  Getter for property eventConsumer.

  Returns:
    Value of property eventConsumer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.